diff --git a/org/postgresql/core/v3/QueryExecutorImpl.java b/org/postgresql/core/v3/QueryExecutorImpl.java
index 54dd104..af1aaca 100644
--- a/org/postgresql/core/v3/QueryExecutorImpl.java
+++ b/org/postgresql/core/v3/QueryExecutorImpl.java
@@ -723,7 +723,7 @@ public class QueryExecutorImpl implements QueryExecutor {
 
             return processCopyResults(null, true); // expect a CopyInResponse or CopyOutResponse to our query above
         } catch(IOException ioe) {
-            throw new PSQLException(GT.tr("Database connection failed when starting copy"), PSQLState.CONNECTION_FAILURE, ioe);
+            throw new PSQLException(GT.tr("Database connection failed when starting copy operation"), PSQLState.CONNECTION_FAILURE, ioe);
         }
     }
 
@@ -811,7 +811,7 @@ public class QueryExecutorImpl implements QueryExecutor {
      */
     public synchronized long endCopy(CopyInImpl op) throws SQLException {
         if(!hasLock(op))
-                throw new PSQLException(GT.tr("Tried to end inactive copy"), PSQLState.OBJECT_NOT_IN_STATE);
+                throw new PSQLException(GT.tr("Tried to end inactive copy operation"), PSQLState.OBJECT_NOT_IN_STATE);
 
         try {
             if (logger.logDebug())
@@ -824,7 +824,7 @@ public class QueryExecutorImpl implements QueryExecutor {
             processCopyResults(op, true);
             return op.getHandledRowCount();
         } catch(IOException ioe) {
-            throw new PSQLException(GT.tr("Database connection failed when ending copy"), PSQLState.CONNECTION_FAILURE, ioe);
+            throw new PSQLException(GT.tr("Database connection failed when ending copy operation"), PSQLState.CONNECTION_FAILURE, ioe);
         }
     }
 
@@ -851,7 +851,7 @@ public class QueryExecutorImpl implements QueryExecutor {
 
             processCopyResults(op, false); // collect any pending notifications without blocking
         } catch(IOException ioe) {
-            throw new PSQLException(GT.tr("Database connection failed when writing to copy"), PSQLState.CONNECTION_FAILURE, ioe);
+            throw new PSQLException(GT.tr("Database connection failed when writing to copy operation"), PSQLState.CONNECTION_FAILURE, ioe);
         }
     }
 
@@ -863,7 +863,7 @@ public class QueryExecutorImpl implements QueryExecutor {
             pgStream.flush();
             processCopyResults(op, false); // collect any pending notifications without blocking
         } catch(IOException ioe) {
-            throw new PSQLException(GT.tr("Database connection failed when writing to copy"), PSQLState.CONNECTION_FAILURE, ioe);
+            throw new PSQLException(GT.tr("Database connection failed when writing to copy operation"), PSQLState.CONNECTION_FAILURE, ioe);
         }
     }
 
@@ -875,12 +875,12 @@ public class QueryExecutorImpl implements QueryExecutor {
      */
     synchronized void readFromCopy(CopyOutImpl op) throws SQLException {
         if(!hasLock(op))
-            throw new PSQLException(GT.tr("Tried to read from inactive copy"), PSQLState.OBJECT_NOT_IN_STATE);
+            throw new PSQLException(GT.tr("Tried to read from inactive copy operation"), PSQLState.OBJECT_NOT_IN_STATE);
 
         try {
             processCopyResults(op, true); // expect a call to handleCopydata() to store the data
         } catch(IOException ioe) {
-            throw new PSQLException(GT.tr("Database connection failed when reading from copy"), PSQLState.CONNECTION_FAILURE, ioe);
+            throw new PSQLException(GT.tr("Database connection failed when reading from copy operation"), PSQLState.CONNECTION_FAILURE, ioe);
         }
     }
 
@@ -972,7 +972,7 @@ public class QueryExecutorImpl implements QueryExecutor {
                     logger.debug(" <=BE CopyInResponse");
 
                 if(op != null)
-                    error = new PSQLException(GT.tr("Got CopyInResponse from server during an active {0}", op.getClass().getName()), PSQLState.OBJECT_NOT_IN_STATE);
+                    error = new PSQLException(GT.tr("Got CopyInResponse from server during an active {0} operation", op.getClass().getName()), PSQLState.OBJECT_NOT_IN_STATE);
 
                 op = new CopyInImpl();
                 initCopy(op);
@@ -985,7 +985,7 @@ public class QueryExecutorImpl implements QueryExecutor {
                     logger.debug(" <=BE CopyOutResponse");
 
                 if(op != null)
-                    error = new PSQLException(GT.tr("Got CopyOutResponse from server during an active {0}", op.getClass().getName()), PSQLState.OBJECT_NOT_IN_STATE);
+                    error = new PSQLException(GT.tr("Got CopyOutResponse from server during an active {0} operation", op.getClass().getName()), PSQLState.OBJECT_NOT_IN_STATE);
 
                 op = new CopyOutImpl();
                 initCopy(op);
@@ -1002,7 +1002,7 @@ public class QueryExecutorImpl implements QueryExecutor {
                 if(op == null) {
                     error = new PSQLException(GT.tr("Got CopyData without an active copy operation"), PSQLState.OBJECT_NOT_IN_STATE);
                 } else if (!(op instanceof CopyOutImpl)) {
-                    error = new PSQLException(GT.tr("Unexpected copydata from server for {0}",
+                    error = new PSQLException(GT.tr("Unexpected CopyData from server for {0}",
                             op.getClass().getName()), PSQLState.COMMUNICATION_ERROR);
                 } else {
                     ((CopyOutImpl)op).handleCopydata(buf);
diff --git a/org/postgresql/jdbc2/AbstractJdbc2ResultSet.java b/org/postgresql/jdbc2/AbstractJdbc2ResultSet.java
index edbfdb1..455ed80 100644
--- a/org/postgresql/jdbc2/AbstractJdbc2ResultSet.java
+++ b/org/postgresql/jdbc2/AbstractJdbc2ResultSet.java
@@ -1071,7 +1071,7 @@ public abstract class AbstractJdbc2ResultSet implements BaseResultSet, org.postg
         }
         catch (UnsupportedEncodingException uee)
         {
-            throw new PSQLException(GT.tr("The JVM claims not to support the encoding: {0}","ASCII"), PSQLState.UNEXPECTED_ERROR, uee);
+            throw new PSQLException(GT.tr("The JVM claims not to support the {0} encoding.","ASCII"), PSQLState.UNEXPECTED_ERROR, uee);
         }
         catch (IOException ie)
         {
